summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-05-03 23:59:37 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2020-05-04 00:24:56 +0200
commitb28a4b37ca764e4379e2bc1ecf2232827b9c8802 (patch)
tree03222a543dc6fb871758f153cdb1941e3eb9d8c1 /net-libs/libssh
parentkde-apps/kdenlive: Restrict segfaulting tests once and for all (diff)
downloadgentoo-b28a4b37ca764e4379e2bc1ecf2232827b9c8802.tar.gz
gentoo-b28a4b37ca764e4379e2bc1ecf2232827b9c8802.tar.bz2
gentoo-b28a4b37ca764e4379e2bc1ecf2232827b9c8802.zip
net-libs/libssh: Add slot operator on net-libs/mbedtls
Reported-by: Ben Kohler <bkohler@gentoo.org> Closes: https://bugs.gentoo.org/717686 Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'net-libs/libssh')
-rw-r--r--net-libs/libssh/libssh-0.9.4.ebuild2
-rw-r--r--net-libs/libssh/libssh-9999.ebuild4
2 files changed, 3 insertions, 3 deletions
diff --git a/net-libs/libssh/libssh-0.9.4.ebuild b/net-libs/libssh/libssh-0.9.4.ebuild
index 466de82b14e..31c86bf94ce 100644
--- a/net-libs/libssh/libssh-0.9.4.ebuild
+++ b/net-libs/libssh/libssh-0.9.4.ebuild
@@ -36,7 +36,7 @@ RDEPEND="
)
gcrypt? ( >=dev-libs/libgcrypt-1.5.3:0[${MULTILIB_USEDEP}] )
gssapi? ( >=virtual/krb5-0-r1[${MULTILIB_USEDEP}] )
- mbedtls? ( net-libs/mbedtls[${MULTILIB_USEDEP}] )
+ mbedtls? ( net-libs/mbedtls:=[${MULTILIB_USEDEP}] )
zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )
"
DEPEND="${RDEPEND}
diff --git a/net-libs/libssh/libssh-9999.ebuild b/net-libs/libssh/libssh-9999.ebuild
index 8ddb3caa00d..8496b7dfd38 100644
--- a/net-libs/libssh/libssh-9999.ebuild
+++ b/net-libs/libssh/libssh-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -36,7 +36,7 @@ RDEPEND="
)
gcrypt? ( >=dev-libs/libgcrypt-1.5.3:0[${MULTILIB_USEDEP}] )
gssapi? ( >=virtual/krb5-0-r1[${MULTILIB_USEDEP}] )
- mbedtls? ( net-libs/mbedtls[${MULTILIB_USEDEP}] )
+ mbedtls? ( net-libs/mbedtls:=[${MULTILIB_USEDEP}] )
zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )
"
DEPEND="${RDEPEND}